com.aliyun.svideosdk.common.internal.videoaugment

## Enum VideoAugmentationType

- java.lang.Object
- - java.lang.Enum<VideoAugmentationType>
  - - com.aliyun.svideosdk.common.internal.videoaugment.VideoAugmentationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VideoAugmentationType>

      public enum VideoAugmentationType
      extends java.lang.Enum<VideoAugmentationType>

  Added in v3.19.0 the type of video augmentation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BRIGHTNESS` brightness of the video
    `CONTRAST` contrast of the video
    `SATURATION` saturation of the video
    `SHARPNESS` sharpness of the video
    `VIGNETTE` vignette of the video

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VideoAugmentationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VideoAugmentationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BRIGHTNESS

          public static final VideoAugmentationType BRIGHTNESS

      brightness of the video

    - #### CONTRAST

          public static final VideoAugmentationType CONTRAST

      contrast of the video

    - #### SATURATION

          public static final VideoAugmentationType SATURATION

      saturation of the video

    - #### SHARPNESS

          public static final VideoAugmentationType SHARPNESS

      sharpness of the video

    - #### VIGNETTE

          public static final VideoAugmentationType VIGNETTE

      vignette of the video

  - ### Method Detail

    - #### values

          public static VideoAugmentationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoAugmentationType c : VideoAugmentationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoAugmentationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null